And double or triple how many layers ?
Not.
Yes! Can I do something to open the pop up color menu if don't remember the color#?
Could be :
Specify color between or Select Color :
Thanks All my "hidden" lines go on one layer called, strangely enough, Hidden.If you were do the drawing on a drafting board would you use different colors for all the hidden lines?Would a hidden line depicting a wall that was obscured be shown any different than a hidden line depicting another object?Sometimes we go out of our way to make things difficult.Do you plot in color as well? Yes, it should be possible to do this.A simple approach would be to change the current color via COLOR, then CHANGE the Property Color to the current value (CECOLOR). For anyone who wanders in, this was the basic idea I was talking about. It allows just the standard colors 1 through 255 (no ByBlock or ByLayer).Note that the system variable CECOLOR is a string.
(defun C:CHC (/ ColorObjects CurrColorOrg NewColor CmdEchoOrg) (prompt "\nSelect objects to color...") (cond ( (setq ColorObjects (ssget)) (setq CurrColorOrg (getvar 'CECOLOR) CmdEchoOrg (getvar 'CMDECHO) ) (setvar 'CMDECHO 0) (while (not (cond ( (initget 6) ) ( (setq NewColor (getint "\nEnter object color (1-255) : " ) ) (if (< NewColor 256) (setvar 'CECOLOR (itoa NewColor))) ) (T(initdia) (command "_.COLOR") (numberp (read (getvar 'CECOLOR))) ) ) ) (prompt "\nCannot set color to that value.\n*Invalid.*") ) (command "_.CHANGE" ColorObjects "" "_P" "_C" (getvar 'CECOLOR) "")) ) (setvar 'CECOLOR CurrColorOrg) (setvar 'CMDECHO CmdEchoOrg) (princ))
页:
1
[2]